> ## Documentation Index
> Fetch the complete documentation index at: https://docs-staging.auth0-mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Info

> Deprecated endpoint that validates a JWT and returns the associated user profile; use /userinfo instead.

## Endpoint

`POST /tokeninfo`

> [!NOTE]
>
> This endpoint is part of the legacy authentication pipeline and will be disabled for those who use our latest, OIDC conformant, pipeline. We encourage using the [/userinfo endpoint](#get-user-info) instead. For more information on the latest authentication pipeline refer to [Introducing OIDC Conformant Authentication](https://docs-staging.auth0-mintlify.app/api-auth/intro).

This endpoint validates a JSON Web Token (JWT) (signature and expiration) and returns the user information associated with the user id `sub` property of the token.

### Remarks

* This endpoint will return three HTTP Response Headers, that provide relevant data on its rate limits:
  * `X-RateLimit-Limit`: Number of requests allowed per minute.
  * `X-RateLimit-Remaining`: Number of requests available. Each new request reduces this number by 1. For each minute that passes, requests are added back, so this number increases by 1 each time.
  * `X-RateLimit-Reset`: Remaining time until the rate limit (`X-RateLimit-Limit`) resets. The value is in [UTC epoch seconds](https://en.wikipedia.org/wiki/Unix_time).

### Learn More

* [User Profile Struture](https://auth0.com/docs/manage-users/user-accounts/user-profiles/user-profile-structure)
* [Auth0 API Rate Limit Policy](https://auth0.com/docs/troubleshoot/customer-support/operational-policies/rate-limit-policy)

## Response Schema

\{}

application/json

**email\_verified** `boolean`

Indicates whether the user's email address has been verified.

**email** `string`

The user's email address.

**clientID** `string`

The client ID associated with the token.

**updated\_at** `string`

Time the user's information was last updated.

**name** `string`

The user's full name.

**picture** `string`

URL of the user's profile picture.

**user\_id** `string`

The user's unique identifier.

**nickname** `string`

The user's nickname.

**provider** `string`

The identity provider for the user.

**connection** `string`

The connection used to authenticate the user.

**isSocial** `boolean`

Whether the user authenticated via a social provider.

**created\_at** `string`

Time the user was created.

**global\_client\_id** `string`

The global client ID.

## Response Messages

| Status | Description |
| - | - |
| 200 | Successful response with user information |
